\begin{tabular}{|l|l|l|l|l|l|l|l|l|l|l|l|c|c|c|}
\hline \multicolumn{10}{|c|}{Proof obligations } & \provername{Alt-Ergo 2.3.1} & \provername{CVC4 1.6} & \provername{Z3 4.8.6} \\ 
\hline
\explanation{rs\_unsat\_then\_not\_sat} & & & & & & & & & & \noresult& \valid{0.15} & \noresult\\ 
\hline
\explanation{af\_unsat\_then\_not\_sat} & & & & & & & & & & \noresult& \valid{0.15} & \noresult\\ 
\hline
\explanation{set\_unsat\_then\_not\_sat} & & & & & & & & & & \noresult& \valid{0.15} & \noresult\\ 
\hline
\explanation{VC for all\_set\_without\_bot\_eval\_set}  & \explanation{variant decrease} & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & \noresult& \valid{0.14} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &   &   &   &  & \valid{0.02} & \valid{0.13} & \valid{0.04} \\ 
\cline{6-8}
 &  &  &  &  &  & \valid{0.94} & \noresult& \noresult\\ 
\cline{3-5}
 &  &   &  & & & & & \valid{5.42} & \noresult& \noresult\\ 
\cline{5-6}
 &   &   &  & \valid{0.05} & \valid{0.14} & \noresult\\ 
\cline{5-7}
 &  &  &  &   &   &  & \noresult& \valid{0.16} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &   &   &  & \valid{0.27} & \noresult& \noresult\\ 
\cline{4-6}
 &  &  &  & & & & & \noresult& \valid{0.16} & \noresult\\ 
\hline
\explanation{VC for bot\_not\_in\_set\_then\_sat\_set} & & & & & & & & & & \noresult& \valid{0.19} & \noresult\\ 
\hline
\explanation{VC for subset\_of\_satisfiable\_set} & & & & & & & & & & \noresult& \valid{0.24} & \noresult\\ 
\cline{2-4}
 & \explanation{variant decrease} & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & \noresult& \valid{0.20} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition} & & & & & & & & & \noresult& \noresult& \valid{0.09} \\ 
\hline
\explanation{satisfiable\_clause}  & \explanation{satisfiable\_clause.0}  &  & & & & & & & \noresult& \valid{0.15} & \noresult\\ 
\hline
\explanation{sublist\_is\_satisfiable\_clauselist}  & \explanation{sublist\_is\_satisfiable\_clauselist.0}  &   &   &   &   &   &   &  & \noresult& \valid{0.13} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &  & \noresult& \valid{0.26} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &   &  & \noresult& \valid{0.13} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &  & \noresult& \valid{0.24} & \noresult\\ 
\hline
\explanation{sat\_cl\_bot\_right} & & & & & & & & & & \noresult& \valid{0.25} & \noresult\\ 
\hline
\explanation{sat\_cl\_bot\_left} & & & & & & & & & & \noresult& \valid{0.48} & \noresult\\ 
\hline
\explanation{not\_unsat\_set\_sat\_set} & & & & & & & & & & \noresult& \valid{0.15} & \noresult\\ 
\hline
\explanation{not\_unsat\_clause\_sat\_clause} & & & & & & & & & & \noresult& \valid{0.14} & \noresult\\ 
\hline
\explanation{not\_unsat\_sat} & & & & & & & & & & \noresult& \valid{0.14} & \noresult\\ 
\hline
\explanation{not\_sat\_unsat} & & & & & & & & & & \noresult& \valid{0.14} & \noresult\\ 
\hline
\explanation{unsat\_then\_bot}  & \explanation{unsat\_then\_bot.0}  &   &  & & & & & \valid{3.98} & \noresult& \noresult\\ 
\hline
\explanation{is\_unsat\_then\_p\_is\_bot}  & \explanation{is\_unsat\_then\_p\_is\_bot.0}  &   &   &  & & & \noresult& \valid{0.18} & \valid{0.07} \\ 
\hline
\explanation{unsat\_permut} & & & & & & & & & & \noresult& \valid{0.20} & \noresult\\ 
\hline \end{tabular}
